﻿using System;
using SignalsMVVM.HelperClasses;

namespace SignalsMVVM.Models
{
    [Serializable]
    public abstract class BaseSignal : PropertyChangedClass, ICloneable
    {
        public string Name { get; set; }
        public int Delay { get; set; }
        public double Amplitude { get; set; }
        public double Frequency { get; set; }

        public BaseSignal(string Name)
        {
            this.Name = Name;
        }

        public object Clone()
        {
            return this.DeepCloneBinaryFormatter();
        }
    }
}
